#!/bin/bash -x

mkdir egee && cd egee
export CVSROOT=":pserver:anonymous@jra1mw.cvs.cern.ch:/cvs/jra1mw"
cvs co org.glite org.glite.security org.glite.security.lcmaps \
  org.glite.security.lcmaps-interface org.glite.security.lcmaps-plugins-basic \
  org.glite.security.lcmaps-plugins-voms
for i in lcmaps lcmaps-interface lcmaps-plugins-basic lcmaps-plugins-voms ; do \
  cp org.glite.security/project/lcmaps.m4 org.glite.security.$i/project; \
  cp org.glite/project/*m4 org.glite.security.$i/project; \
done
mkdir stage
export LSTAGEDIR=`cd stage && pwd`
if [ $1 ]; then
  export LSTAGEDIR=$1
fi
for i in lcmaps lcmaps-interface lcmaps-plugins-basic lcmaps-plugins-voms ; do
  (cd org.glite.security.$i;
  make distclean;
  ./bootstrap;
  ./configure  --prefix=$LSTAGEDIR --without-gsi-mode;
  make install);
done
