/*
 * This file or a portion of this file is licensed under the terms of the
 * Globus Toolkit Public License, found at
 * http://www.globus.org/toolkit/download/license.html.
 * If you redistribute this file, with or without modifications,
 * you must include this notice in the file.
 */

#ifndef CONFIG_H
#define CONFIG_H

#define GRIDMAPDIR "/etc/grid-security/gridmapdir"
#define GRIDMAPFILE "/etc/grid-security/grid-mapfile"
#define GROUPMAPFILE "/etc/grid-security/groupmapfile"

/* see log.h for more logging and debug options */
#define POOL_LOGFILE "/tmp/pool.log"

/* expire pool user */

/* Should use absolute path.  Recommended that script is owned by root and 
   modified exclusively by root.  Directories 'above' script should not be 
   writeable by !root. 
   
   Example:
   #define EXPIRY_PROG "/globus/location/bin/expire_pooluser.sh"
   
   */
#define EXPIRY_PROG "/globus/cvshome/intellij_gt4_cvs__big/GL/bin/expire_pooluser.sh"

/* if defined, pool accounts are not returned to the pool immediately */
/* #define DO_QUARANTINE */

/* used to set the groups on pool accounts -- should be absolute path */
#define USERMOD_PROG      "/usr/sbin/usermod"


#endif 

