/*
 * This file or a portion of this file is licensed under the terms of the
 * Globus Toolkit Public License, found at
 * http://www.globus.org/toolkit/download/license.html.
 * If you redistribute this file, with or without modifications,
 * you must include this notice in the file.
 */

#ifndef ERRORS_H
#define ERRORS_H

#define GENERAL_FAILURE 255
#define SUCCESS 0
#define ENVIRONMENT 1
#define SYNTAX 2
#define BADARG 3
#define POOL_INDEX_FAILURE 4
#define NO_POOL_FOR_USER 5
#define NO_USER 6
#define POOL_FULL 7
#define GRIDMAPDIR_NO_ASSOCIATION 8
#define EXPIRY_PROG_FAILURE 9
#define EXPIRY_PROG_CHECK 10
#define NO_GROUP 11


#endif /* ERRORS_H */


