/*
 * This file or a portion of this file is licensed under the terms of the
 * Globus Toolkit Public License, found at
 * http://www.globus.org/toolkit/download/license.html.
 * If you redistribute this file, with or without modifications,
 * you must include this notice in the file.
 */
 /*                                                                                                            
 * Copyright (c) Members of the EGEE Collaboration. 2004.
 * See http://eu-egee.org/partners/ for details on the copyright holders.
 * For license conditions see the license file or
 * http://eu-egee.org/license.html
 */

/*                                                                                                            
 * Copyright (c) 2001 EU DataGrid.                                                                             
 * For license conditions see http://www.eu-datagrid.org/license.html                                          
 *
 * Copyright (c) 2001, 2002 by 
 *     Martijn Steenbakkers <martijn@nikhef.nl>,
 *     David Groep <davidg@nikhef.nl>,
 *     NIKHEF Amsterdam, the Netherlands
 */

#ifndef GRIDMAPDIR_H
#define GRIDMAPDIR_H

#define MATCH_INCLUDE          ((unsigned short)0x0001)
#define MATCH_EXCLUDE          ((unsigned short)0x0000)
#define MATCH_WILD_CHARS       ((unsigned short)0x0002)
#define OVERRIDE_INCONSISTANCY ((unsigned short)0x0004)
#define MATCH_ONLY_DN          ((unsigned short)0x0008)
#define MATCH_NO_WILD_CHARS    ((unsigned short)0x0000)
#define INCLUDE    3
#define EXCLUDE    4

#define QUARANTINE_BASE  ((unsigned short)0x0000)
#define QUARANTINE       ((unsigned short)0x0001)
#define QUARANTINE_SUFFIX ".quarantined"

extern int 
gridmapdir_unlink_dn(char  * dn, 
                     uid_t * uid, 
            unsigned short   quarantine);

extern int
gridmapdir_userid(char *   globusidp,
                  char *   usernameprefix,
                  char **  useridp,
                  char *** unixgroups,
        unsigned short    matching_type);
        
#endif /* GRIDMAPDIR_H */
