package org.globus.dynamicAccounts.impl.authz;

import java.util.Vector;

public class VomsCredentialInformation extends CredentialInformation {
    private Vector attrs = null;
    private String VO = null;
    private String hostport = null;

    //no no-arg constructor

    /**
     * @param attrs Vector of VOMS attributes
     * @param VO
     * @param hostport
     */
    public VomsCredentialInformation(Vector attrs, String VO, String hostport) {
        this.attrs = attrs;
        this.VO = VO;
        this.hostport = hostport;
    }

    public Vector getAttrs() {
        return attrs;
    }

    public String getVO() {
        return VO;
    }

    public String getHostport() {
        return hostport;
    }

}
