/*
 * This file or a portion of this file is licensed under the terms of the
 * Globus Toolkit Public License, found at
 * http://www.globus.org/toolkit/download/license.html.
 * If you redistribute this file, with or without modifications,
 * you must include this notice in the file.
 */
 /*                                                                                                            
 * Copyright (c) Members of the EGEE Collaboration. 2004.
 * See http://eu-egee.org/partners/ for details on the copyright holders.
 * For license conditions see the license file or
 * http://eu-egee.org/license.html
 */

/*                                                                                                            
 * Copyright (c) 2001 EU DataGrid.                                                                             
 * For license conditions see http://www.eu-datagrid.org/license.html                                          
 *
 * Copyright (c) 2001, 2002 by 
 *     Martijn Steenbakkers <martijn@nikhef.nl>,
 *     David Groep <davidg@nikhef.nl>,
 *     NIKHEF Amsterdam, the Netherlands
 */
#include "lcmaps_return_poolindex_without_gsi.h"

#ifndef GRIDMAPDIR_H
#define GRIDMAPDIR_H

#define QUARANTINE_BASE  ((unsigned short)0x0000)
#define QUARANTINE       ((unsigned short)0x0001)
#define QUARANTINE_SUFFIX ".quarantined"

extern char 
*gridmapdir_otherlink(char *   firstlink);

extern int 
gridmapdir_unlink_index(char  * encodedglobusidp, 
                        uid_t * uid, 
               unsigned short   quarantine);

extern int 
lcmaps_poolindex(char *  dn,
                 char *  fqan_list[],
                 int     nfqan, 
                 lcmaps_account_info_t *lcmaps_account,
                 char ** gridmapdir);
#endif /* GRIDMAPDIR_H */
