/*
 * This file or a portion of this file is licensed under the terms of the
 * Globus Toolkit Public License, found at
 * http://www.globus.org/toolkit/download/license.html.
 * If you redistribute this file, with or without modifications,
 * you must include this notice in the file.
 */
package org.globus.dynamicAccounts;

import org.globus.common.ChainedException;

public class DynamicAccountsException extends ChainedException {

    public DynamicAccountsException() {
        super();
    }

    public DynamicAccountsException(String message) {
        super(message);
    }

    public DynamicAccountsException(String message, Exception e) {
        super(message, e);
        
    }

    public DynamicAccountsException(Exception e) {
        super("", e);
    }    
}
