package org.globus.dynamicAccounts;

import org.globus.common.ChainedException;

/*
 * This file or a portion of this file is licensed under the terms of the
 * Globus Toolkit Public License, found at
 * http://www.globus.org/toolkit/download/license.html.
 * If you redistribute this file, with or without modifications,
 * you must include this notice in the file.
 */

public class LimitException extends ChainedException {

    public LimitException() {
        super();
    }

    public LimitException(String message) {
        super(message);
    }

    public LimitException(String message, Exception e) {
        super(message, e);

    }

    public LimitException(Exception e) {
        super("", e);
    }
}
